Apply staff roles from Discord
POST
/api/staff-roles/applyRun the pass now, even when it would take roles from many accounts at once.
Needs the ManageUsers and ManageRoles permissions.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Response Body
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/staff-roles/apply"{ "given": 0, "taken": 0, "left": 0, "problem": null, "settings": { "on": true, "ranAt": null, "problem": null, "heldAt": null, "heldCount": null, "mappings": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "discordRoleId": "string", "discordRoleName": null, "roleId": "7382d58e-652a-4905-b7c9-bcca1e0e5391", "roleName": "string", "direction": "string", "notSetUp": true, "canChange": true, "problem": null } ], "roles": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "position": 0, "canMap": true } ] }}